using System;
using System.Collections.Generic;
using System.Linq;

namespace PushPlatform.Data.Bll
{
    public partial class BllPushMessage
    {
        private DaoAchieve.PushMessageDaoAchieve _CurrentDao = null;
        internal DaoAchieve.PushMessageDaoAchieve CurrentDao
        {
            get{
                if(_CurrentDao==null)
                {
                    _CurrentDao=new DaoAchieve.PushMessageDaoAchieve();
                }
                return _CurrentDao;
            }
        }
        
        public BllPushMessage()
        {
            
        }
    
        #region Service Bll
        public int Save(PushMessage entity)
        {
            if(entity == null)
                return 0;
            return CurrentDao.Save(entity);
        }
        
        public int Save(List<PushMessage> entityList)
        {
            if(entityList == null || entityList.Count == 0)
                return 0;
            return CurrentDao.Save(entityList);
        }
        
        
        public int Delete(string id)
        {
            if(string.IsNullOrEmpty(id))
                return 0;
            return CurrentDao.Delete(id);
        }
        
        public int Update(PushMessage entity)
        {
            if(entity == null)
                return 0;
            return CurrentDao.Update(entity);
        }
        
        public int Update(List<PushMessage> entityList)
        {
            if(entityList == null || entityList.Count == 0)
                return 0;
            return CurrentDao.Save(entityList);
        }
        
        public int SaveOrUpdate(IList<PushMessage> entityList)
        {
            if(entityList == null || entityList.Count == 0)
                return 0;
            return CurrentDao.SaveOrUpdate(entityList);
        }
        
        public PushMessage Get(string id)
        {
            if (string.IsNullOrEmpty(id))
            {
                return null;
            }
            return CurrentDao.Get(id);
        }
        
        public int GetCount(PushPlatform.Data.Criteria.CriteriaPushMessage mycriteria)
        {
            return CurrentDao.GetCount(mycriteria);
        }
        
        public List<PushMessage> Fetch(PushPlatform.Data.Criteria.CriteriaPushMessage mycriteria)
        {
            if(mycriteria.UsePage && (mycriteria.PageIndex <= 0 || mycriteria.PageSize < 1))
            {
                mycriteria.PageTotal = 0;
                return new List<PushMessage>();
            }
            return CurrentDao.Fetch(mycriteria);
        }
        #endregion
       
    }
}

